use anyhow::Result;

mod helper;
mod ui;

fn main() -> Result<()> {
    // env_logger::init(); // Log to stderr (if you run with `RUST_LOG=debug`).

    color_eyre::install().expect("failed to install color_eyre");

    let mut terminal = ratatui::init();
    let result = ui::App::default().run(&mut terminal);
    ratatui::restore();
    result
        .map_err(|e| anyhow::anyhow!("Error: {}", e))
        .map(|_| ())
}
